#include "EventKeyboard.h"
#include <Windows.h>

EventKeyboard::EventKeyboard(){
	this->setType(KEYBOARD_EVENT);
	for(int i=0;i<256;i++){
		this->key_val[i]=NULL;
	}
}

void EventKeyboard::setKey(int* new_key){
	for(int i=0;i<256;i++){
		this->key_val[i]=new_key[i];
	}
}
int* EventKeyboard::getKey(){
	return this->key_val;
}
